summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author majk <majk@konstelacioj.info>2010-05-12 23:33:24 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:24 +0200
commitd0417c3738ff5d86254e05075b2c9b46731b6131 (patch)
tree2c7e2d9cba8055bfe2afbe0d688b62d015870459
parente0fc19fe860da2354b860cb5264bca60ec56961b (diff)
downloadslackbuilds-d0417c3738ff5d86254e05075b2c9b46731b6131.tar.gz
slackbuilds-d0417c3738ff5d86254e05075b2c9b46731b6131.tar.xz
system/clex: Added to 12.2 repository
-rw-r--r--system/clex/README10
-rw-r--r--system/clex/clex.SlackBuild76
-rw-r--r--system/clex/clex.info8
-rw-r--r--system/clex/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/clex/README b/system/clex/README
new file mode 100644
index 0000000000..42922fc24a
--- /dev/null
+++ b/system/clex/README
@@ -0,0 +1,10 @@
+CLEX is a file manager with a full-screen user interface written
+in C with the curses library.
+
+It displays directory contents (including file status details)
+and provides features like command history, filename insertion,
+or name completion in order to help the user to construct commands
+to be executed by the shell (there are no built-in commands).
+
+CLEX is easily configurable and all its features are explained
+in the on-line help.
diff --git a/system/clex/clex.SlackBuild b/system/clex/clex.SlackBuild
new file mode 100644
index 0000000000..3b37717702
--- /dev/null
+++ b/system/clex/clex.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for clex
+# Written by majk <majk@konstelacioj.info>
+#
+# Based on the gcolor2 SlackBuild
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=clex
+VERSION=4.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# the NEWS and README files are empty, so this doesn't include them
+cp -a AUTHORS COPYING ChangeLog INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/clex/clex.info b/system/clex/clex.info
new file mode 100644
index 0000000000..4486a9cd51
--- /dev/null
+++ b/system/clex/clex.info
@@ -0,0 +1,8 @@
+PRGNAM="clex"
+VERSION="4.0"
+HOMEPAGE="http://www.clex.sk"
+DOWNLOAD="http://www.clex.sk/download/clex-4.0.tar.gz"
+MD5SUM="57eb7b245e6aa5f60fd66076861c5895"
+MAINTAINER="majk"
+EMAIL="majk@konstelacioj.info"
+APPROVED="rworkman"
diff --git a/system/clex/slack-desc b/system/clex/slack-desc
new file mode 100644
index 0000000000..6c1b42a038
--- /dev/null
+++ b/system/clex/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+clex: clex (console file manager)
+clex:
+clex: CLEX is a file manager with a full-screen user interface
+clex: written in C with the curses library.
+clex: It displays directory contents (including file status details)
+clex: and provides features like command history, filename insertion,
+clex: or name completion in order to help the user to construct commands
+clex: to be executed by the shell (there are no built-in commands).
+clex:
+clex: Homepage: http://www.clex.sk/
+clex: